package parsers.CPA;

import parsers.CPA.*;
import util.Color;

class CellState
{
	String state;
	Color color;
	CellEmissionList CEList;
	CellTransitionList CTList;

	CellState (String p_state, Color p_color, CellEmissionList p_celist, CellTransitionList p_ctlist)
	{
		state = p_state;
		color = p_color;
		CEList = p_celist;
		CTList = p_ctlist;
	}

	String getState()
	{
		return new String(state);
	}

	Color getColor()
	{
		return new Color(color);
	}

	CellEmissionList getCellEmissionList()
	{
		return CEList;
	}

	CellTransitionList getCellTransitionList()
	{
		return CTList;
	}

	public String toString ()
	{
		StringBuffer retVal = new StringBuffer("");

		retVal.append("state " + state + " {\n");
		if(color != null)
		{
			retVal.append("\tcolor " + color.toString() + "\n");
		}
		if(CEList.size() > 0)
		{
			retVal.append("\temits " + CEList.toString() + "\n");
		}
		retVal.append("\ttransitions\n" + CTList.toString());
		retVal.append("}\n\n");
		return retVal.toString();
	}
}
