package test;

import java.io.*;
import core.*;
import parsers.CPA.*;

public class TestCPAParser
{
	public static void main(String args[]) throws GenericParseException
	{
		try
		{
			FileInputStream file = new FileInputStream(args[0]);
			CPAParser parser = new CPAParser(file);
			CellProgram cp = parser.getCellProgram();
			if(cp == null) throw new GenericParseException("error occured");
			System.out.println("Printing the parsed CPA");
			System.out.println(cp.toString());
		} catch (GenericParseException e)
		{
			System.err.println("Generic Parse Exception");
			throw e;
		} catch (ArrayIndexOutOfBoundsException e)
		{
			System.err.println("Usage java test.TestCPAParser <CPA-file>");
			System.exit(0);
		} catch (FileNotFoundException e)
		{
			System.err.println(args[0] + " : File Not Found");
			System.exit(0);
		}
	}
}
